const { dirname } = require("path");
let resolve = process.env.NEXT_MINIMAL ? __non_webpack_require__.resolve : require.resolve;
let nextPaths = undefined;
if (!process.env.NEXT_MINIMAL) {
    nextPaths = {
        paths: resolve.paths("next/package.json") || undefined
    };
}
export const hookPropertyMap = new Map();
export const defaultOverrides = {
    "styled-jsx": process.env.NEXT_MINIMAL ? dirname(resolve("styled-jsx/package.json")) : dirname(resolve("styled-jsx/package.json", nextPaths)),
    "styled-jsx/style": process.env.NEXT_MINIMAL ? resolve("styled-jsx/style") : resolve("styled-jsx/style", nextPaths)
};
const toResolveMap = (map)=>Object.entries(map).map(([key, value])=>[
            key,
            resolve(value, nextPaths)
        ]);
export function addHookAliases(aliases = []) {
    for (const [key, value] of aliases){
        hookPropertyMap.set(key, value);
    }
}
addHookAliases(toResolveMap(defaultOverrides));

//# sourceMappingURL=import-overrides.js.map